Subject: Re: bug#47748: Packages which cant be find/removed by guix remove

From: Maxime Devos <[email-masked]>
Date: Thu, 15 Apr 2021 20:04:16 +0200

On Thu, 2021-04-15 at 09:37 +0000, bo0od wrote:
>  > guix remove: error: package 'm17n-lib' not found in profile
>  > Hint: All users have their own profiles.  To remove packages from the 
> profile
>  > of the root user, run "sudo guix remove PACKAGES" or equivalent.
> 
> yeah very nice one, except that "sudo guix remove package" doesnt work :(

I suggested two hints.  What do you think of the second hint:

Hint: On Guix System, packages can defined in the operating system declaration.
These are not affected by "guix remove PACKAGES".

I don't know if it applies to your exact situation though (not following
the discussion very closely).
 
> This is how its done in debian/fedora, for e.g this is what debian error 
> give if apt needs root rights to delete a package:
> 
> "user@host:~$ apt remove hexchat
> E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: 
> Permission denied)
> E: Unable to acquire the dpkg frontend lock 
> (/var/lib/dpkg/lock-frontend), are you root?"
> 
> This is what it shows in Fedora: [...]

In that case, my first hint would have been informative, no?
I don't see what you are trying to show here.

Greetings,
Maxime.